clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::clangd::PreambleData Struct Reference

The parsed preamble and associated data. More...

`#include <Preamble.h>`

Collaboration diagram for clang::clangd::PreambleData:
[legend]

## Public Member Functions
| PreambleData (PrecompiledPreamble Preamble, std::vector< Diag > Diags, IncludeStructure Includes, MainFileMacros Macros, std::unique_ptr< PreambleFileStatusCache > StatCache, CanonicalIncludes CanonIncludes)

## Public Attributes
tooling::CompileCommand | CompileCommand
PrecompiledPreamble | Preamble
std::vector< Diag > | Diags
IncludeStructure | Includes
MainFileMacros | Macros
std::unique_ptr< PreambleFileStatusCache > | StatCache
CanonicalIncludes | CanonIncludes

## Detailed Description

The parsed preamble and associated data.

As we must avoid re-parsing the preamble, any information that can only be obtained during parsing must be eagerly captured and stored here.

Definition at line 45 of file Preamble.h.

## Constructor & Destructor Documentation

## ◆ PreambleData()

clang::clangd::PreambleData::PreambleData | ( | PrecompiledPreamble | Preamble,
|  | std::vector< Diag > | Diags,
|  | IncludeStructure | Includes,
|  | MainFileMacros | Macros,
|  | std::unique_ptr< PreambleFileStatusCache > | StatCache,
|  | CanonicalIncludes | CanonIncludes
| ) |  |

Definition at line 78 of file Preamble.cpp.

## Member Data Documentation

## ◆ CanonIncludes

CanonicalIncludes clang::clangd::PreambleData::CanonIncludes

Definition at line 64 of file Preamble.h.

## ◆ CompileCommand

tooling::CompileCommand clang::clangd::PreambleData::CompileCommand

Definition at line 51 of file Preamble.h.

## ◆ Diags

std::vector<Diag> clang::clangd::PreambleData::Diags

Definition at line 53 of file Preamble.h.

## ◆ Includes

IncludeStructure clang::clangd::PreambleData::Includes

Definition at line 56 of file Preamble.h.

## ◆ Macros

MainFileMacros clang::clangd::PreambleData::Macros

Definition at line 60 of file Preamble.h.

## ◆ Preamble

PrecompiledPreamble clang::clangd::PreambleData::Preamble

Definition at line 52 of file Preamble.h.

Referenced by clang::clangd::ClangdServer::signatureHelp().

## ◆ StatCache

std::unique_ptr<PreambleFileStatusCache> clang::clangd::PreambleData::StatCache

Definition at line 63 of file Preamble.h.

The documentation for this struct was generated from the following files:

- Preamble.h
- Preamble.cpp